Subject: Re: Keyboard problems
From: Benjamin Riefenstahl <[email-masked]>
To: [email-masked]
Date: Tue, 01 Aug 2000 18:39:23 +0200

Hi all,

> On Mon, Jul 31, 2000 at 02:46:08PM +0200, Jonas Jensen wrote:
> >> I may be out to lunch here, but doesn't adding a binding for "\e[3~"
> >> as in:
> >> bind '"\e[3~": delete-char'
> >> do the right thing?

Just as a point of reference: My RedHat-based MkLinux has this in
/etc/inputrc OOTB:

>>>>>>>>
set meta-flag on
set input-meta on
set convert-meta off
set output-meta on
"\e0d": backward-word
"\e0c": forward-word
"\e[h": beginning-of-line
"\e[f": end-of-line
"\e[1~": beginning-of-line
"\e[4~": end-of-line
"\e[5~": beginning-of-history
"\e[6~": end-of-history
"\e[3~": delete-char
"\e[2~": quoted-insert
<<<<<<<<

I guess having setup in general or the setup of bash in particular
install something like this could be usefull.

Chris Faylor wrote:
> However, if you want to send a patch to setup.c to do locale-specific
> stuff, I'm sure that DJ would be very grateful.

Is this really locale-specific, apart from the fact that english locales
usually don't need the 8-bit settings?  I'd think that setting the
"meta"-flags to make readline 8-bit clean by default would be
state-of-the-art.  Also, making the funktion block work like Windows
users expect it should be a reasonable default on Cygwin.

so long, benny
-- 
ISION Internet AG
Benjamin Riefenstahl
mailto:[email-masked]

Ruhrstrasse 61
D-22761 Hamburg
http://www.ision.net

--
Want to unsubscribe from this list?
Send a message to [email-masked]